#ifndef _LOGGER_H
#define _LOGGER_H

#include "stdinclude.h"

namespace MyEngine
{
	class Logger
	{
	public:
		static Logger* Instance();
		static void DeleteInstance();

	private:
		Logger();
		Logger(const Logger&);
		~Logger();
		Logger& operator=(const Logger&);

	public:
		void Write(const TString& strMessage);

	private:
		static Logger* m_pInstance;

		TOFileStream m_logFile;
	};
}

#endif // _LOGGER_H
